<md-toolbar class="md-hue-2">
    <div class="md-toolbar-tools">
        <div flex md-truncate>
            <h2>Party Group</h2>
        </div>
        <md-input-container>
            <label>Round</label>
            <md-select ng-model="master.round_id" ng-change="round_change()">
                <md-option><em>None</em></md-option>
                <md-option ng-repeat="x in Round" ng-value="x.roundId">
                    {{x.roundName}}
                </md-option>
            </md-select>
        </md-input-container>
        <md-button class="md-raised md-primary" ng-click="reset()">Load</md-button>
    </div>

</md-toolbar>
<br>
<div class="container">
    <div class="row">
        <div class="col-md-6">
            <table class="table table-bordered table-striped table-hover table-sm" style="font-size: 13px;">
                <thead>
                    <tr>
                        <th style="width: 80px;">Sr No</th>
                        <th>Name</th>
                        <th style="width: 150px;">Party Count</th>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="(mi,xi) in party_groups">
                        <td> {{mi+1}} </td>
                        <td>
                            <md-button class="md-fab md-mini md-primary" aria-label="Use Android" ng-click="btnEdit(xi)">
                                <i class="ri-edit-box-line" style="color: white;"></i>
                            </md-button> {{xi.party_group_name}}
                        </td>
                        <td>
                            <md-button class="md-fab md-mini md-primary" aria-label="Use Android" ng-click="btnList(xi)">
                                <i class="ri-list-settings-line" style="color: white;"></i>
                            </md-button>
                            {{xi.parties.length}}
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="col-md-5">
            <md-input-container class="col-md-12">
                <label>Enter Party Group Name</label>
                <input ng-model="party_group.party_group_name">
            </md-input-container>
            <hr />
            <md-input-container>
                <label>Round</label>
                <md-select ng-model="new.round_id" ng-change="round_change()">
                    <md-option><em>None</em></md-option>
                    <md-option ng-repeat="x in Round" ng-value="x.roundId">
                        {{x.roundName}}
                    </md-option>
                </md-select>
            </md-input-container>
            <md-button class="md-raised md-primary" style="color:white" ng-click="btnSaveListClick()">Save</md-button>
        </div>
        <div class="col-md-1">
            <md-button class="md-raised md-primary" style="color:white" ng-click="btnSaveClick()">Save</md-button>
        </div>
    </div>
    <hr />

    <div class="row" ng-if="party_group_flag">
        <div class="col-md-6">
            <table class="table table-bordered table-striped">
                <thead>
                    <tr>
                        <th style="width: 100px;"> Sr No </th>
                        <th>Name</th>
                        <th style="width: 100px;">Action</th>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="(m,x) in party_group.parties">
                        <td>{{m+1}}</td>
                        <td>{{x.party_name}}</td>
                        <td>
                            <md-button class="md-fab md-mini md-primary" aria-label="Use Android" ng-click="btnDelete(x)">
                                <i class="ri-delete-bin-2-line" style="color: white;"></i>
                            </md-button>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="col-md-6">
            <div class="row">
                <md-input-container class="col-md-6">
                    <label>Party</label>
                    <md-select ng-model="party" ng-change="party_change(party)">
                        <md-option><em>None</em></md-option>
                        <md-option ng-repeat="x in Partys" ng-value="x">
                            {{x.party_head_code}} {{x.party_name}}
                        </md-option>
                    </md-select>
                </md-input-container>


                <!-- <md-input-container class="col-md-6">
                    <label>Enter Party Head Code</label>
                    <input ng-model="party.party_head_code" ng-change="party_head_change()">
                </md-input-container> -->
                <div class="col-md-1">
                    <md-button class="md-raised md-primary" style="color:white" ng-click="btnAddClick()">Add</md-button>
                </div>


            </div>
        </div>
    </div>




    <br>
    <br>
    <br>


</div>